Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

account_id
string
required

Account ID

Body

application/json
email
string
required

The email of the invited user. The email can not be updated once created. Create a new invitation for each unique email.

Example:

"example@mail.com"

role
string
required

Invitiation role, can be any of Manager, Developer, Translator.

Example:

"Developer"

project_ids
string

List of project ids the invited user has access to.

Example:

"abcd1234abcd1234abcd1234,abcd1234abcd1234abcd1235"

locale_ids
string

List of locale ids the invited user has access to.

Example:

"abcd1234abcd1234abcd1234,abcd1234abcd1234abcd1235"

space_ids
string[]

List of spaces the user is assigned to.

Example:
team_ids
string[]

List of teams the user is assigned to.

Example:
default_locale_codes
string[]

List of default locales for the user.

Example:
permissions
object

Additional permissions depending on invitation role. Available permissions are create_upload and review_translations

Example:

Response

Created

id
string
email
string
role
string
state
string
projects
project_short · object[]
locales
locale_preview · object[]
teams
team_short · object[]
default_locale_codes
string[]
permissions
object
locale_ids
string[]
created_at
string<date-time>
updated_at
string<date-time>
accepted_at
string<date-time>
spaces
any[]
project_roles
object[]

Per-project roles assigned to the invitee.